/**
* DevExtreme (core/element.d.ts)
* Version: 21.1.3 (build 21154-1903)
* Build date: Thu Jun 03 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import { dxElementWrapper } from '../core/renderer';

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface Condition {}

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface ElementWrapper<T extends Element> { }
/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface ElementsArrayWrapper<T extends Element> { }
/**
 * 
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type DxElement<T extends Element = HTMLElement> = {} extends Condition ? T : ElementWrapper<T>;

/**
 * 
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type UserDefinedElement<T extends Element = Element> = {} extends Condition ? T : ElementWrapper<T> | T;

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type UserDefinedElementsArray = {} extends Condition ? Array<Element> : ElementsArrayWrapper<Element>;

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface InternalElementWrapper<T extends Element> { }
/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type InternalElement<T extends Element> = {} extends Condition ? dxElementWrapper : InternalElementWrapper<T>;

/**
 * 
 * @deprecated 
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type dxElement = DxElement<HTMLElement>;

/**
 * 
 * @deprecated 
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type dxSVGElement = DxElement<SVGElement>;

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export function getPublicElement(element: InternalElement<Element>): DxElement<Element>;
/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export function setPublicElementWrapper(newStrategy: (element: InternalElement<Element>) => DxElement<Element>): void;
