/**
* DevExtreme (ui/track_bar.d.ts)
* Version: 21.1.3 (build 21154-1903)
* Build date: Thu Jun 03 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    UserDefinedElement
} from '../core/element';

import Editor, {
    EditorOptions
} from './editor/editor';

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface dxTrackBarOptions<T = dxTrackBar> extends EditorOptions<T> {
    /**
     * The maximum value the UI component can accept.
     */
    max?: number;
    /**
     * The minimum value the UI component can accept.
     */
    min?: number;
}
/**
 * A base class for track bar UI components.
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export default class dxTrackBar extends Editor {
    constructor(element: UserDefinedElement, options?: dxTrackBarOptions)
}
