/**
* DevExtreme (ui/validation_message.d.ts)
* Version: 21.1.3 (build 21154-1903)
* Build date: Thu Jun 03 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    UserDefinedElement,
} from '../core/element';

import dxOverlay, {
    dxOverlayOptions
} from './overlay';

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface dxValidationMessageOptions<T = dxValidationMessage> extends dxOverlayOptions<T> {
    mode?: string;

    validationErrors?: Array<object> | null;

    positionRequest?: string;

    boundary?: String | UserDefinedElement;

    offset?: object;
}
/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export default class dxValidationMessage extends dxOverlay {
    constructor(element: UserDefinedElement, options?: dxValidationMessageOptions)
}

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type Options = dxValidationMessageOptions;
/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type IOptions = dxValidationMessageOptions;
