/**
* DevExtreme (core/component_registrator.d.ts)
* Version: 21.1.3 (build 21154-1903)
* Build date: Thu Jun 03 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/**
 * Registers a new component in the DevExpress.ui namespace.
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export default function registerComponent(name: string, componentClass: any): void;

/**
 * Registers a new component in the specified namespace.
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export default function registerComponent(name: string, namespace: any, componentClass: any): void;
