/**
* DevExtreme (core/options/utils.d.ts)
* Version: 21.1.3 (build 21154-1903)
* Build date: Thu Jun 03 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import {
    Device
} from '../devices';

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export declare type Rule<T> = {
    device: ((device: Device) => boolean) | Device | Device[];
    options: Partial<T>;
};

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export declare function convertRulesToOptions<T>(rules: Rule<T>[]): T;

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export declare function normalizeOptions(options: string | object, value): { [name: string]: string };

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export declare function deviceMatch(device: Device, filter): boolean;

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export declare function getFieldName(fullName: string): string;

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export declare function getParentName(fullName: string): string;

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export function createDefaultOptionRules<T>(options?: Rule<T>[]): Rule<T>[];
