/**
 * DevExtreme (esm/renovation/ui/scheduler/workspaces/base/date_table/all_day_panel/title.j.js)
 * Version: 21.1.3 (build 21154-1903)
 * Build date: Thu Jun 03 2021
 *
 * Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import registerComponent from "../../../../../../../core/component_registrator";
import BaseComponent from "../../../../../../component_wrapper/component";
import {
    AllDayPanelTitle as AllDayPanelTitleComponent
} from "./title";
export default class AllDayPanelTitle extends BaseComponent {
    get _propsInfo() {
        return {
            twoWay: [],
            allowNull: [],
            elements: [],
            templates: [],
            props: ["className", "visible"]
        }
    }
    get _viewComponent() {
        return AllDayPanelTitleComponent
    }
}
registerComponent("dxAllDayPanelTitle", AllDayPanelTitle);
