/**
* DevExtreme (renovation/ui/scroll_view/types.d.ts)
* Version: 21.1.3 (build 21154-1903)
* Build date: Thu Jun 03 2021
*
* Copyright (c) 2012 - 2021 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface ScrollableBoundary {
  reachedBottom: boolean;
  reachedLeft: boolean;
  reachedRight: boolean;
  reachedTop: boolean;
}

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface ScrollEventArgs extends Partial<ScrollableBoundary> {
  event?: Event;
  scrollOffset: ScrollOffset;
}

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type ScrollableShowScrollbar = 'onScroll' | 'onHover' | 'always' | 'never';

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type ScrollableDirection = 'both' | 'horizontal' | 'vertical';

/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export type RefreshStrategy = 'pullDown' | 'swipeDown' | 'simulated';
/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface ScrollOffset {
  top: number;
  left: number;
}
/**
 * @deprecated Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface AllowedDirection {
  vertical: boolean;
  horizontal: boolean;
}
